## LOC Position Report indication LOC Position Report indication |

## Functions

QmiIndicationLocPositionReportOutput * | qmi_indication_loc_position_report_output_ref ()
void | qmi_indication_loc_position_report_output_unref ()
gboolean | qmi_indication_loc_position_report_output_get_session_id ()

## Types and Values

| QmiIndicationLocPositionReportOutput

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationLocPositionReportOutput

## Description

## Functions

### qmi_indication_loc_position_report_output_ref ()

    QmiIndicationLocPositionReportOutput *
    qmi_indication_loc_position_report_output_ref
                                   (QmiIndicationLocPositionReportOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_indication_loc_position_report_output_unref ()

    void
    qmi_indication_loc_position_report_output_unref
                                   (QmiIndicationLocPositionReportOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |

Since: 1.0

### qmi_indication_loc_position_report_output_get_session_id ()

    gboolean
    qmi_indication_loc_position_report_output_get_session_id
                                   (QmiIndicationLocPositionReportOutput *self,
                                    guint8 *value_session_id,
                                    GError **error);

Get the 'Session ID' field from `self` .

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |
value_session_id | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

## Types and Values

### QmiIndicationLocPositionReportOutput

    typedef struct _QmiIndicationLocPositionReportOutput QmiIndicationLocPositionReportOutput;

The QmiIndicationLocPositionReportOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0